﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DataGridviewSample
{
    public partial class frmInputBox : Form
    {
        public frmInputBox()
        {
            InitializeComponent();
            this.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.AcceptButton = this.btnOk;
            this.CancelButton = this.btnCancel;

        }
        public frmInputBox(string title, string description, string defaultvalue)
            : this()
        {
            this.Text = title;
            this.lblInfo.Text = description;
            this.txtInput.Text = defaultvalue;
        }
        private string _ReturnValue;
        public string ReturnValue
        {
            get { return _ReturnValue; }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            _ReturnValue = txtInput.Text;
        }




    }
}
